[PATCH 3/3] Add tests with an FTP instrepo

David Shea dshea at redhat.com
Mon Mar 2 19:44:24 UTC 2015


---
 tests/kickstart_tests/basic-ftp-yum.ks | 41 +++++++++++++++++++++++++
 tests/kickstart_tests/basic-ftp-yum.sh | 56 ++++++++++++++++++++++++++++++++++
 tests/kickstart_tests/basic-ftp.ks     | 41 +++++++++++++++++++++++++
 tests/kickstart_tests/basic-ftp.sh     | 56 ++++++++++++++++++++++++++++++++++
 4 files changed, 194 insertions(+)
 create mode 100644 tests/kickstart_tests/basic-ftp-yum.ks
 create mode 100644 tests/kickstart_tests/basic-ftp-yum.sh
 create mode 100644 tests/kickstart_tests/basic-ftp.ks
 create mode 100644 tests/kickstart_tests/basic-ftp.sh

diff --git a/tests/kickstart_tests/basic-ftp-yum.ks b/tests/kickstart_tests/basic-ftp-yum.ks
new file mode 100644
index 0000000..936adc3
--- /dev/null
+++ b/tests/kickstart_tests/basic-ftp-yum.ks
@@ -0,0 +1,41 @@
+url --url=ftp://mirrors.kernel.org/fedora/development/$releasever/$basearch/os/
+install
+network --bootproto=dhcp
+
+bootloader --timeout=1
+zerombr
+clearpart --all
+part --fstype=ext4 --size=4400 /
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+
+keyboard us
+lang en
+timezone America/New_York
+rootpw qweqwe
+shutdown
+
+%packages
+%end
+
+%post
+cat <<EOF > /lib/systemd/system/default.target.wants/run-test.service
+[Unit]
+Description=Run a test to see if anaconda+ftp worked
+After=basic.target
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/run-test.sh
+EOF
+
+cat <<EOF > /usr/bin/run-test.sh
+#!/bin/bash
+
+# For now, just the fact that we rebooted is good enough.
+echo SUCCESS > /root/RESULT
+shutdown -h now
+EOF
+
+chmod +x /usr/bin/run-test.sh
+%end
diff --git a/tests/kickstart_tests/basic-ftp-yum.sh b/tests/kickstart_tests/basic-ftp-yum.sh
new file mode 100644
index 0000000..3a650e2
--- /dev/null
+++ b/tests/kickstart_tests/basic-ftp-yum.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+# Copyright (C) 2015  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): David Shea <dshea at redhat.com>
+
+kernel_args() {
+    echo vnc inst.nodnf
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # Now attempt to boot the resulting VM and see if the install
+    # actually worked.  The VM will shut itself down so there's no
+    # need to worry with that here.
+    timeout 5m /usr/bin/qemu-kvm -m 2048 \
+                                 -smp 2 \
+                                 -hda ${img} \
+                                 -vnc localhost:3
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
diff --git a/tests/kickstart_tests/basic-ftp.ks b/tests/kickstart_tests/basic-ftp.ks
new file mode 100644
index 0000000..936adc3
--- /dev/null
+++ b/tests/kickstart_tests/basic-ftp.ks
@@ -0,0 +1,41 @@
+url --url=ftp://mirrors.kernel.org/fedora/development/$releasever/$basearch/os/
+install
+network --bootproto=dhcp
+
+bootloader --timeout=1
+zerombr
+clearpart --all
+part --fstype=ext4 --size=4400 /
+part --fstype=ext4 --size=500 /boot
+part --fstype=swap --size=500 swap
+
+keyboard us
+lang en
+timezone America/New_York
+rootpw qweqwe
+shutdown
+
+%packages
+%end
+
+%post
+cat <<EOF > /lib/systemd/system/default.target.wants/run-test.service
+[Unit]
+Description=Run a test to see if anaconda+ftp worked
+After=basic.target
+
+[Service]
+Type=oneshot
+ExecStart=/usr/bin/run-test.sh
+EOF
+
+cat <<EOF > /usr/bin/run-test.sh
+#!/bin/bash
+
+# For now, just the fact that we rebooted is good enough.
+echo SUCCESS > /root/RESULT
+shutdown -h now
+EOF
+
+chmod +x /usr/bin/run-test.sh
+%end
diff --git a/tests/kickstart_tests/basic-ftp.sh b/tests/kickstart_tests/basic-ftp.sh
new file mode 100644
index 0000000..8e5f2fb
--- /dev/null
+++ b/tests/kickstart_tests/basic-ftp.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+# Copyright (C) 2015  Red Hat, Inc.
+#
+# This copyrighted material is made available to anyone wishing to use,
+# modify, copy, or redistribute it subject to the terms and conditions of
+# the GNU General Public License v.2, or (at your option) any later version.
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY expressed or implied, including the implied warranties of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
+# Public License for more details.  You should have received a copy of the
+# GNU General Public License along with this program; if not, write to the
+# Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.  Any Red Hat trademarks that are incorporated in the
+# source code or documentation are not subject to the GNU General Public
+# License and may only be used or replicated with the express permission of
+# Red Hat, Inc.
+#
+# Red Hat Author(s): David Shea <dshea at redhat.com>
+
+kernel_args() {
+    echo vnc
+}
+
+prepare() {
+    ks=$1
+    tmpdir=$2
+
+    echo ${ks}
+}
+
+validate() {
+    img=$1
+
+    # Now attempt to boot the resulting VM and see if the install
+    # actually worked.  The VM will shut itself down so there's no
+    # need to worry with that here.
+    timeout 5m /usr/bin/qemu-kvm -m 2048 \
+                                 -smp 2 \
+                                 -hda ${img} \
+                                 -vnc localhost:3
+
+    # There should be a /root/RESULT file with results in it.  Check
+    # its contents and decide whether the test finally succeeded or
+    # not.
+    result=$(virt-cat -a ${img} -m /dev/sda2 /root/RESULT)
+    if [[ $? != 0 ]]; then
+        status=1
+        echo '*** /root/RESULT does not exist in VM image.'
+    elif [[ "${result}" != "SUCCESS" ]]; then
+        status=1
+        echo "${result}"
+    fi
+
+    return ${status}
+}
-- 
2.1.0



More information about the anaconda-patches mailing list